Saltar para o conteúdo principal
GET
[BETA] Get Campaigns Reporting.

Autorizações

Authorization
string
header
obrigatório

A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.

Parâmetros de consulta

next_page
string | null

Token for retrieving the next page.

limit
integer
padrão:100

Maximum number of campaigns to retrieve.

Intervalo necessário: 1 <= x <= 1000
order_by
enum<string>
padrão:name

The order dimension for the campaigns to be retrieved.

Opções disponíveis:
campaign_id,
name,
daily_budget,
impressions,
purchase_revenue,
roas,
cpc,
cpm,
ad_spend,
is_active,
ad_format,
start_date,
end_date,
created_at,
ctr,
conversion_rate,
purchase_count,
charged_clicks,
charged_impressions
direction
enum<string>
padrão:asc

The order direction for the campaigns to be retrieved.

Opções disponíveis:
asc,
desc
start_date
string<date> | null

Start date for calculating metrics.

end_date
string<date> | null

End date for calculating metrics.

A search string to filter the names of the campaigns by.

campaign_status
enum<string>
padrão:all

The campaign status to filter the campaigns by. Defaults to all statuses.

Opções disponíveis:
all,
active,
inactive

Resposta

Successful Response

hasMore
boolean
obrigatório

Flag that indicates whether more results are available. true indicates there is a next page of results. false indicates this response contains the last page of results.

campaigns
AgencyCampaignWithKPIS · object[]
obrigatório
nextPage
string | null

Pagination cursor. Provide this value as a next_page query parameter in a new request to retrieve the next page of results.

Minimum string length: 1
Exemplo:

"SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo="